﻿using Syncfusion.XlsIO;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Drawing;

namespace ConsoleApp2
{

    class Program
    {
        static void Main(string[] args)
        {
            ExcelEngine excelEngine = new ExcelEngine();
            IApplication application = excelEngine.Excel;

            IWorkbook workbook = application.Workbooks.Open("../../Data/lighting.xlsx");

            IWorksheet sheet = workbook.Worksheets[0];


            //The Font name should be "Arial" as per in the input but the font name is "Tahoma"
            string fontName = sheet.Range["C31"].CellStyle.Font.FontName;

            workbook.SaveAs("Output.xlsx");
            System.Diagnostics.Process.Start("Output.xlsx");
        }
    }
} 